/**
 * This function show the next div associated with the clicked top div. This
 * function takes the id of the current clicked item and then slides the child
 * view associated with this parent view.
 * 
 * @param id
 *            id of the current clicked div element
 * @returns {Boolean}
 */

function show(id)
{
	for ( var i = 0; i < array1.length; i++)
	{
		if (id === array1[i])
		{
			$("#" + array2[i]).slideToggle("fast", function()
			{
				changeImage(imgArray[i]);
				$(this).scroll();
			});
			return false;
		}
	}
}

/**
 * This function is used to slides down all the divs present in this page. The
 * function named as show1(id) is called iteratively for the length of the all
 * the available parents.
 */

function showAll()
{
	for ( var x = 0; x < array1.length; x++)
	{
		show1(array1[x]);
	}
}

function hideAll()
{
	for ( var x = 0; x < array1.length; x++)
	{
		show11(array1[x]);
	}
}

function show11(id)
{
	for ( var i = 0; i < array1.length; i++)
	{
		if (id === array1[i])
		{
			$("#" + array2[i]).slideUp("fast", function()
			{
				changeImage11(imgArray[i]);
			});
			return false;
		}
	}
}

/**
 * This function forces all the parent divs to expand irrespective of their
 * current state.
 * 
 * @param id
 *            id of all the div items in this page.
 * 
 * @returns {Boolean}
 */

function show1(id)
{
	for ( var i = 0; i < array1.length; i++)
	{
		if (id === array1[i])
		{
			$("#" + array2[i]).slideDown("fast", function()
			{
				changeImage1(imgArray[i]);
			});
			return false;
		}
	}
}

/**
 * This function is responsible for changing the plus and minus signs present on
 * the right side.
 * 
 * @param id
 *            This function accepts the id of the clicked item. Depending on
 *            which image is displayed, it toggles the images.
 */
function changeImage(id)
{
	if ($("#" + id).attr("src") === "plus_w.png")
	{
		$("#" + id).attr("src", "minus_w.png");
	}
	else if ($("#" + id).attr("src") === "minus_w.png")
	{
		$("#" + id).attr("src", "plus_w.png");
	}
	else if ($("#" + id).attr("src") === "plus_g.png")
	{
		$("#" + id).attr("src", "minus_g.png");
	}
	else if ($("#" + id).attr("src") === "minus_g.png")
	{
		$("#" + id).attr("src", "plus_g.png");
	}
}

function changeImage1(id)
{
	if ($("#" + id).attr("src") === "plus_w.png")
	{
		$("#" + id).attr("src", "minus_w.png");
	}
	else if ($("#" + id).attr("src") === "plus_g.png")
	{
		$("#" + id).attr("src", "minus_g.png");
	}
}

function changeImage11(id)
{
	if ($("#" + id).attr("src") === "minus_w.png")
	{
		$("#" + id).attr("src", "plus_w.png");
	}
	else if ($("#" + id).attr("src") === "minus_g.png")
	{
		$("#" + id).attr("src", "plus_g.png");
	}
}